// Sunday, February 16 2025, 03:06:20 PM

const dateElement = document.getElementById("date");

const months = [
  "January",
  "February",
  "March",
  "April",
  "May",
  "June",
  "July",
  "August",
  "September",
  "October",
  "November",
  "December",
];

const daysOfWeek = [
  "Sunday",
  "Monday",
  "Tuesday",
  "Wednesday",
  "Thursday",
  "Friday",
  "Saturday",
];

function updateDateTime() {
  const date = new Date();

  const seconds = date.getSeconds();
  const minutes = date.getMinutes();
  const hours24 = date.getHours();
  const hours12 = hours24 % 12;
  const ampm = hours24 > 11 && hours24 != 0 ? "PM" : "AM";
  const secondsString = String(seconds).padStart(2, "0");
  const minutesString = String(minutes).padStart(2, "0");

  const year = date.getFullYear();
  const month = months[date.getMonth()];
  const day = date.getDate();
  const dayOfWeek = daysOfWeek[date.getDay()];

  dateElement.innerText = `${dayOfWeek}, ${month} ${day} ${year}, ${hours12}:${minutesString}:${secondsString} ${ampm}`;
}

setInterval(updateDateTime, 1000);
